org.apache.maven.shared.artifact.filter

## Class StrictPatternExcludesArtifactFilter

- java.lang.Object
- - org.apache.maven.shared.artifact.filter.AbstractStrictPatternArtifactFilter
  - - org.apache.maven.shared.artifact.filter.StrictPatternExcludesArtifactFilter

All Implemented Interfaces:
  org.apache.maven.artifact.resolver.filter.ArtifactFilter

    public class StrictPatternExcludesArtifactFilter
    extends AbstractStrictPatternArtifactFilter

Filter to exclude artifacts from a list of patterns. `AbstractStrictPatternArtifactFilter` describes the artifact pattern syntax.

Version:
  $Id: StrictPatternExcludesArtifactFilter.java 661727 2008-05-30 14:21:49Z bentmann $
Author:
  Mark Hobson
See Also:
  `AbstractStrictPatternArtifactFilter`, `PatternExcludesArtifactFilter`

### Constructor Summary

Constructors
Constructor and Description
`StrictPatternExcludesArtifactFilter(List patterns)` Creates a new filter that excludes artifacts that match the specified patterns.

### Method Summary

### Methods inherited from class org.apache.maven.shared.artifact.filter.AbstractStrictPatternArtifactFilter

`include`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StrictPatternExcludesArtifactFilter

    public StrictPatternExcludesArtifactFilter(List patterns)

Creates a new filter that excludes artifacts that match the specified patterns.

Parameters:
  `patterns` - the list of artifact patterns to match, as described above